summaryrefslogtreecommitdiff
path: root/vagrant/provision.sh
diff options
context:
space:
mode:
authorBozhidar Batsov <bozhidar@batsov.com>2013-08-15 16:25:43 +0300
committerBozhidar Batsov <bozhidar@batsov.com>2013-08-15 16:25:43 +0300
commit7a1ca0434574a0b75494d9284b9f0d9d023b0143 (patch)
tree65c7d35fe5c461bc9da653e42a5fc6f7e5a618db /vagrant/provision.sh
parent73925f528db529513327fd6ccb1715663a739b69 (diff)
Simplify test infrastructure
* Manage dependencies with Cask * Add a Vagrantfile and a shell script for provisioning * Simplify Makefile * Add a script for running the tests in batch mode The one thing that remains to be done is to reintegrate the batch checkdoc check.
Diffstat (limited to 'vagrant/provision.sh')
-rwxr-xr-xvagrant/provision.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/vagrant/provision.sh b/vagrant/provision.sh
new file mode 100755
index 00000000..980d62cb
--- /dev/null
+++ b/vagrant/provision.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+ppa () {
+ sudo apt-add-repository -y "$1"
+}
+
+apt_update () {
+ sudo apt-get update -qq
+}
+
+apt () {
+ sudo apt-get install -yy "$@"
+}
+
+# Silence debconf
+export DEBIAN_FRONTEND='noninteractive'
+
+# Bring in the necessary PPAs
+ppa ppa:cassou/emacs
+apt_update
+
+# Install Emacs 24.x and Emacs snapshot
+apt emacs24 emacs24-el emacs24-common-non-dfsg \
+ emacs-snapshot emacs-snapshot-el
+
+# Install Cask for Emacs dependency management
+CASK_DIR=/opt/cask.el-0.4.5
+if ! [ -d "$CASK_DIR" -a -x "/$CASK_DIR/bin/cask" ]; then
+ sudo rm -rf "$CASK_DIR"
+ wget -O - https://github.com/rejeep/cask.el/archive/v0.4.5.tar.gz | sudo tar xz -C /opt
+ # Bring Cask into $PATH
+ sudo ln -fs "$CASK_DIR/bin/cask" /usr/local/bin
+fi